package subscribesvc

import subscriberepository "legalgo-BE-go/internal/accessor/subscribe"

type SubsSvc struct {
	subsRepo subscriberepository.SubsIntf
}

type SubsIntf interface {
	Create(string) (string, error)
}

func New(subsRepo subscriberepository.SubsIntf) SubsIntf {
	return &SubsSvc{subsRepo}
}
